Bug 563325

Summary: NFS Mount fails using UDP protocol on Fedora 12
Product: [Fedora] Fedora Reporter: jcook5376
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 12CC: dastew88, jlayton, steved
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 18:03:22 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description jcook5376 2010-02-09 15:44:33 EST
Description of problem:

Fedora 12 mount command will not mount an NFS share using the UDP protocol on an NFS server that has multiple network interfaces

Looks like a possible regression of bug 212471

https://bugzilla.redhat.com/show_bug.cgi?id=212471

Version-Release number of selected component (if applicable):

nfs-utils-1.2.1-4.fc12.i686

How reproducible:

100% of the time on Fedora 12 machines using the UDP protocol

Steps to Reproduce:
1. Create an NFS share on a Linux machine (I used a Fedora 12 server)
2. From Fedora 12 client machine, mount the share using 
mount -o udp <server>:/test /test
3.
  
Actual results:

mount.nfs: mount to NFS server '<server>:/test' failed: timed out, giving up

Expected results:

Mount completes and share is accessible

Additional info:

I tested this problem using a Fedora 8 client, and a Fedora 11 client.  Neither of those clients have a problem mounting the same share from the same server.  Also, there is no problem from a FC12 client using the TCP protocol :

mount -o tcp <server>:/test /test

there also is no problem from a FC12 client using the UDP protocol with the primary address of the server.  For example, the server has two network interfaces (physical or virtual, tested with both), if I use the IP address of the primary interface (eth0 for example) the mount works.  If the ip address of eth1 or virtual eth0:0 is used, the mount fails are described above.

The UDP protocol is ideal for setting up a highly available NFS cluster, and the ability for fast recovery times.

Possible regression of bug 212471
Comment 1 Steve Dickson 2010-10-20 10:49:23 EDT
I was not able to reproduce this error with the 
latest nfs-utils release:
     https://admin.fedoraproject.org/updates/nfs-utils-1.2.1-6.fc12

Please download the new version to see it it solves this problem.
Comment 2 Bug Zapper 2010-11-03 18:34:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 18:03:22 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.